#!/bin/bash

NewGbSha256=e896089439989ca55fd109aca5aada9631fc99b2dd69251db59120ecb8c54ef4
NewPgSha256=1153601906814d1eee149713ef629486b90630a8b5b4ac85e5b520ca91b33edb

TargetPath="/opt/gedu"
TmpSha256="-1"

file_check() {
	if [ -e "$1" ]; then
		TmpSha256=$(sha256sum $1 | cut -d " " -f 1)
	else
		echo -e "$1: does not exist, and will be updated"
		TmpSha256="-1"
	fi
}

file_update() {
	file_check $TargetPath/$2/$2
	old_sha256=$TmpSha256
	if [ $1 == $old_sha256 ]; then
		echo -e "$2: already the latest!"
		return 0
	else
		echo -e "$2: file will be updated"
		rm -rf $TargetPath/$2/$2
		cp $CurPath/$2 $TargetPath/$2/

		file_update $1 $2
	fi
}

update_gdsw() {
	CurPath=$(cd `dirname $0`; pwd)
	file_update $NewGbSha256 "gourdboy"
	file_update $NewPgSha256 "pangolin"

	echo -e "update has been completed"
}

update_gdsw

